# Class CheckDuplicateMarking

java.lang.Object
picard.cmdline.CommandLineProgram
picard.sam.markduplicates.CheckDuplicateMarking

@DocumentedFeature(enable=false) public class CheckDuplicateMarking extends CommandLineProgram

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`CheckDuplicateMarking.Mode`

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`INPUT`
`CheckDuplicateMarking.Mode`
`MODE`
`File`
`OUTPUT`

### Fields inherited from class CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`CheckDuplicateMarking()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(doc="Input BAM or SAM file to check.", shortName="I") public File INPUT

### OUTPUT

@Argument(doc="Output file into which bad querynames will be placed (if not null).", shortName="O", optional=true) public File OUTPUT

### MODE

@Argument(doc="Which reads of the same name should be checked to have same duplicate marking.") public CheckDuplicateMarking.Mode MODE

## Constructor Details

### CheckDuplicateMarking

public CheckDuplicateMarking()

## Method Details

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.